Bug 802071 - Brightness keys (Fn+Home and Fn+End) don't work on ThinkPad T61
Brightness keys (Fn+Home and Fn+End) don't work on ThinkPad T61
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2012-03-10 13:31 EST by Miro Hrončok
Modified: 2013-01-11 13:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-01-11 13:15:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2012-03-10 13:31:33 EST
Description of problem:
Brightness keys (Fn+Home and Fn+End) don't work on a ThinkPad T61 with Nvidia Quadro NVS 140M.

How reproducible:
The keys don't work with nouveau and don't work with kmod-nvidia.

Steps to Reproduce:
1. Hold Fn
2. Press Home or End
Actual results:
Nothing happens.

Expected results:
Screen brightness should change.

Additional info:
Echoing values between 0-15 to /sys/class/backlight/acpi_video0 works as expected.
The keys send XF86MonBrightnessUp and XF86MonBrightnessDown as expected.
Comment 1 Jaroslav Škarvada 2012-03-21 12:31:53 EDT
I think this is not xorg-x11 problem. AFAIK it is your desktop software who catch the brightness up/down events and controls the backlight through kernel interface, i.e. in Gnome it is the gnome-settings-daemon, in XFCE it is xfce4-power-manager. These daemons supports several interfaces. I think they prefer nv_backlight interface over acpi_video0 interface (if nouveau is used).
Comment 2 Adrin Jalali 2012-10-13 16:23:57 EDT
Okay, so what's the solution, I have the same problem here with F(17) latest updates up to this date.
Comment 3 Adrin Jalali 2012-10-13 16:38:32 EDT
I found something here:

to add 
Option "RegistryDwords" "EnableBrightnessControl=1"
to the xorg.conf. It fixed my problem anyway.
Comment 4 Miro Hrončok 2013-01-11 13:15:35 EST
My T61 is dead, so I'm closing this one, feel free to reopen, if someone else worry.

Note You need to log in before you can comment on or make changes to this bug.